Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 204567 - base64 -d doesn't accept base64 output
Summary: base64 -d doesn't accept base64 output
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-08-30 01:18 UTC by James Antill
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 6.9-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-09 16:05:38 UTC


Attachments (Terms of Use)
Simple fix for base64 decoding return's (deleted)
2006-08-30 05:03 UTC, James Antill
no flags Details | Diff

Description James Antill 2006-08-30 01:18:35 UTC
Description of problem:
 base64 -d doesn't accept returns (which the base64 encoding should put every 76
characters and at the end of the encoding).

Version-Release number of selected component (if applicable):
 coreutils-5.97-6

How reproducible:
 Always

Steps to Reproduce:
1. echo x | base64 | base64 -d
2. perl -le 'print "a" x 80' | base64 | base64 -d

Additional info:
 base64 -id does work but (IMNSHO) the output of base64 and what the rfc says
you should do should hardly be clasified as garbage. However this does present
the obvious fix of looking for '\n' (and skipping it) on the else clause of the
ignore_garbage check.

Comment 1 James Antill 2006-08-30 05:03:11 UTC
Created attachment 135184 [details]
Simple fix for base64 decoding return's

 This is a simple fix, although not very efficient and allows some things
through that shouldn't be allowed without -i. On the other hand it's so simple
it's obviously OK to apply.

Comment 2 Jim Meyering 2007-01-07 22:52:20 UTC
I've fixed this properly for the next upstream coreutils release:
http://www.nabble.com/base64.c-vs.-newlines-tf2913943.html#a8157334


Note You need to log in before you can comment on or make changes to this bug.